Subject: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Mar 2021 21:32:49 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 12 Mar 2021 19:04:07 +0000
> 
> > Just evaluating c-beginning-of-statement-1 doesn't help.  But if I
> > load cc-engine.el, then the crash goes away.
> 
> Okay, then probably is one of the other four c-* functions we see in the
> backtrace.

Yes, but how to determine which one?

> > (Btw, if I load cc-engine.elc, it says it loads the .eln file
> > instead?  is that intentional?)
> 
> Yes, .eln load is "transparent" and triggered automatically while
> loading a .elc file when the corresponding .eln is found in the
> `comp-eln-load-path'.
> 
> To force the .elc to be loaded one has to bind `load-no-native' to
> non-nil.

I think if load-file is invoked interactively, and the user actually
types "foo.elc", we need to bind load-no-native non-nil
automatically.  Otherwise users would be surprised, as it goes against
the logic of what we do when the user types "foo.el".